Subject: Re: bug#57781: missing wallpaper command

From: Felix <[email-masked]>
Date: Thu, 15 Sep 2022 12:37:52 +0200

Stefan Kangas <[email-masked]> writes:

> Felix <[email-masked]> writes:
>
>> I'm switching back and forth from Xorg to wayland and I'm
>> tinkering with different desktops/WMs anyways.
>> I would be happy to help!
>> I will try wallpaper.el with gnome tomorrow.
>> If there are any things you want me
>> to test, just let me know.
>
> Thank you!  That offer to help is much appreciated.
>
> I know next to nothing about Wayland, but any testing you could do with
> Gnome, KDE and Sway is welcome.  Or anything else you think might be
> useful and worth doing, really.

swaybg and wbg are starting a new instance each time wallpaper-set is
called. That means that if wallpaper-set is used more than once in an emacs session, multiple
wallpapers set.
In case of wallpaper applications that work like that, running instances
of wbg/swaybg should be terminated before loading new once.

with those "stand-alone" wallpaper applications, the wallpaper process
is attached to emacs if wallpaper-set is used.
With that the wallpaper only stays as long as emacs is running.
I think the process should be detached from emacs.

I'm not shure if that information is useful,
please let me know if it is, or if there is something i should test next.